<?php
// (C)2006 Matteo Lucarelli
// optional sections editing (links, news, ecc.)

require_once("load-save.php");

function validate(){

	global $err_str,$opt;
	$err_str='';
		
	for ($i=0 ; $i<count($opt) ; $i++){
	
		// toglie spazi vuoti e caratteri speciali
		$opt[$i]['LABEL']=clean_label($opt[$i]['LABEL']);
		$opt[$i]['TEXT']=clean_label($opt[$i]['TEXT']);
		$opt[$i]['LINK']=clean_label($opt[$i]['LINK']);
	
		//if ((clean_label($opt[$i]['LABEL'])=='')||(clean_label($opt[$i]['LINK'])=='')){
		if (($opt[$i]['LABEL']=='')||($opt[$i]['LINK']=='')){
			$err_str.= STR_ERR_FIELD;
			$opt[$i]['ERRCH']="*";
			break;
		}
	}
}

$modified=TRUE;
$err_str='';

if (isset($_POST['opt'])) $opt=$_POST['opt'];
if ($_POST['sval']!='undefined') $_POST['cmd']=$_POST['sval']; // M$tupid-IE

if (isset($_POST['cmd'])){

	if ($_POST['cmd']=='revert'){
		opt_load($_GET['optname']);
		$modified=FALSE;
	}

	if ($_POST['cmd']=='save'){
		validate();
		if ($err_str==''){
			opt_save($_GET['optname']);
			$modified=FALSE;
		}
	}
	
	if (substr($_POST['cmd'],0,3)=='add'){

		$toadd=substr($_POST['cmd'],3);
		for ($i=count($opt);$i>$toadd;$i--) $opt[$i]=$opt[$i-1];
		$opt[$toadd]['LABEL']="";
		$opt[$toadd]['TEXT']="";
		$opt[$toadd]['LINK']="";
	}
	
	if (substr($_POST['cmd'],0,3)=='del'){
		$todel=substr($_POST['cmd'],3);
		for ($i=$todel;$i<count($opt);$i++) $opt[$i]=$opt[$i+1];
		unset($opt[count($opt)-1]);
	}
	
	if (substr($_POST['cmd'],0,3)=='mov'){
		$tomov=substr($_POST['cmd'],3);
		$tmpopt=$opt[$tomov];
		$opt[$tomov]=$opt[$tomov+1];
		$opt[$tomov+1]=$tmpopt;
	}

}else{
	opt_load($_GET['optname']);
	$modified=FALSE;
}

print_header_with_menu($_GET['optname']);
print_help("opt");
print_error($err_str);

echo "<form method='post' action='index.php?page=optedit.php&optname=".$_GET['optname']."'>\n";
echo "<input type=hidden id='sval' name='sval' value='undefined'>\n"; // M$tupid-IE

echo "<button type='submit' name='cmd' value='add0' v='add0' onClick='ssval(this.v)'>".STR_ADD."</button>\n";
echo "<button type='submit' name='cmd' value='save' v='save' onClick='ssval(this.v)'>".STR_CMD_SAVE."</button>\n";
if ($modified) 
	echo "<button type='submit' name='cmd' value='revert' v='revert' onClick='ssval(this.v)'>".STR_CMD_REVERT."</button>\n";

if (count($opt)!=0) {

	echo "<ol>\n";
	for($i=0 ; $i<count($opt); $i++){
	
		echo "<li>";
		if (isset($opt[$i]['ERRCH'])) echo "<span class='error'>".$opt[$i]['ERRCH']."</span>";
		echo "<button type='submit' name='cmd' value='del$i' v='del$i' onClick='ssval(this.v)'>X</button>\n";
//		echo "<button type='submit' name='cmd' value='add".($i+1)."' v='add".($i+1)."' onClick='ssval(this.v)'>Aggiungi Qui</button>\n";		
		if ($i<count($opt)-1) echo "<button type='submit' name='cmd' value='mov$i' v='mov$i' onClick='ssval(this.v)'>V</button>\n";
		echo $optfield[$_GET['optname']][0].": <input type='text' name='opt[$i][LABEL]' value='".$opt[$i]['LABEL']."'>\n";
		echo $optfield[$_GET['optname']][1].": <input type='text' name='opt[$i][LINK]' value='".$opt[$i]['LINK']."'><br>\n";
		echo $optfield[$_GET['optname']][2].": <br><textarea name='opt[$i][TEXT]'>".$opt[$i]['TEXT']."</textarea><br>\n";		
	}
	echo "</ol>\n";
	echo "<button type='submit' name='cmd' value='save' v='save' onClick='ssval(this.v)'>".STR_CMD_SAVE."</button>\n";
	if ($modified) 
		echo "<button type='submit' name='cmd' value='revert' v='revert' onClick='ssval(this.v)'>".STR_CMD_REVERT."</button>\n";
}
echo "</form>";

?>


